Batch Update Tool Approval

Batch Update Tool Approval
Approve or unapprove a batch of tools.

This method allows you to approve or unapprove a batch of tools from an MCP server.

You can either specify a list of tool IDs or apply the action to all tools of the MCP server.

The operation is atomic: either all specified tools are updated, or none are. If any tool cannot be unapproved because it is in use by an agent, the entire operation will fail.

Request
URI
POST
https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/tools/batch-approval
COPY
Path Parameters
string
mcp_server_id
Required

mcp_server_id


Request Body
McpToolBatchApprovalRequest of type(s) application/json
Required

Show optional properties

{
    "is_approved": false
}
{
    "is_approved": false,
    "tool_ids": [
        "string"
    ],
    "all_tools": false
}
boolean
is_approved
Required

Whether to approve or unapprove the tools.

array of string
tool_ids
Optional

A list of tool IDs to approve or unapprove. Mutually exclusive with all_tools.

boolean
all_tools
Optional

Whether to apply the approval to all tools of the MCP server. Mutually exclusive with tool_ids.

Authentication
This operation uses the following authentication methods.
Responses
200

Successful Response

Operation doesn't return any data structure

400

Invalid request body.

Operation doesn't return any data structure

404

Invalid MCP server ID.

Operation doesn't return any data structure

422

One or more tools cannot be unapproved because they are in use.

Operation doesn't return any data structure

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"is_approved":"boolean"}' https://{api_host}/api/v1/control/mcp-servers/{mcp_server_id}/tools/batch-approval